/*********************************************************
* HALWRAPS.H - HAL layer function wrapper header         *
* Copyright (c) 1999 By PCTEL INC                        *
*********************************************************/
#ifndef HALWRAPS_H
#define HALWRAPS_H

#define ASIC7		0x60

#define SI3032		2

/* Exports to PTSERIAL */
void HAL_Init(int iobase);
void HAL_Deinit(int iobase);
void HAL_DoInterrupt(void);
int HAL_GetTimer(void);

/* Exports to DSP */
void SetSampleFreq(int fs_index, int notused);
void SetAsicBufSize(int bufSize);
void RdASIC(void);
void WrASIC(void);
void RestartPt(void);
void WriteOutport(int cmd);
int ReadInport(void);
void CheckLineCurrent(void);
void SiPatch(void);
void WriteOutSiReg(int cmd);
void WriteSiReg(void);
void ReadSiReg(void);

/* Exported variables */
extern unsigned short lineCurrent;
extern int SiRegValueR;
extern int SiRegValueW;
extern unsigned short ASICstatus;
extern unsigned short ASICerrCnt;
extern short afeTxPtr[128];
extern short afeRxPtr[128];

#endif /* HALWRAPS_H */

