/* ================================================================================
 *	File:		pctel.h
 *
 *	    Copyright (C) 1999, PCtel, Inc. All rights reserved.
 *
 *	Purpose:	Header file for ptserial.c
 *
 *	Author:		William Hsu <william_hsu@pctel.com>
 *
 *	Date:		04/15/99
 *
 *	Revision History:
 *
 *	Date		Who		What
 *	----		---		----
 *  04/15/99	whsu	Creation
 * ================================================================================
 */

/* #define WHSU_DEBUG_RX */
/* #define WHSU_DEBUG_TX */

/* these must be a power of 2 */
#define COM_TxQlen 512
#define COM_RxQlen 512

/* definitions for vUART_events */
#define vUART_TX_CHANGED	0x01

typedef struct
{
  /* tx and rx queue */
  int COM_TxQin;
  int COM_TxQout;
  int COM_RxQin;
  int COM_RxQout;
  unsigned char COM_TxQ[COM_TxQlen];
  unsigned char COM_RxQ[COM_RxQlen];

  /* uart tracking stuff */
  int vUART_events;
  unsigned char vUART_IIR;
  unsigned char vUART_oldMSR;

#ifdef WHSU_DEBUG_TX
  char debug_tx[64000];
  int debug_tx_count;
#endif

#ifdef WHSU_DEBUG_RX
  char debug_rx[64000];
  int debug_rx_count;
#endif

} pctel_struct;

void PctelInitCtrlVars(void);

extern unsigned short COM_TxQcount;
extern unsigned short COM_RxQcount;
extern unsigned long GlobalTimer;

extern void modem_main(void);
extern void dspMain(void);
